{include file='header'}

{if $action == 'add'}{assign var=dataPermission value="admin.board.canAddBoard"}
{else}{assign var=dataPermission value="admin.board.canEditBoard"}
{/if}
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/Suggestion.class.js"></script>
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/TabMenu.class.js"></script>
<script type="text/javascript">
	//<![CDATA[
	var tabMenu = new TabMenu();
	onloadEvents.push(function() { tabMenu.showSubTabMenu("{$activeTabMenuItem}") });
	//]]>
</script>

<div class="mainHeadline">
	<img src="{@RELATIVE_WBB_DIR}icon/board{@$action|ucfirst}L.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wbb.acp.board.{@$action}{/lang}</h2>
		{if $boardID|isset}<p>{lang}{$board->title}{/lang}</p>{/if}
	</div>
</div>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $success|isset}
	<p class="success">{if $action == 'add'}{lang}wbb.acp.board.add.success{/lang}{else}{lang}wbb.acp.board.edit.success{/lang}{/if}</p>	
{/if}

<script type="text/javascript" src="{@RELATIVE_WBB_DIR}acp/js/PermissionList.class.js"></script>
<script type="text/javascript">
	//<![CDATA[
	var language = new Object();
	{literal}
	language['wbb.acp.board.permissions.permissionsFor'] = '{lang}wbb.acp.board.permissions.permissionsFor{/lang}';
	language['wbb.acp.board.permissions.fullControl'] = '{lang}wbb.acp.board.permissions.fullControl{/lang}';
	language['wbb.acp.board.permissions.canViewBoard'] = '{lang}wbb.acp.board.permissions.canViewBoard{/lang}';
	language['wbb.acp.board.permissions.canEnterBoard'] = '{lang}wbb.acp.board.permissions.canEnterBoard{/lang}';
	language['wbb.acp.board.permissions.canReadThread'] = '{lang}wbb.acp.board.permissions.canReadThread{/lang}';
	language['wbb.acp.board.permissions.canStartThread'] = '{lang}wbb.acp.board.permissions.canStartThread{/lang}';
	language['wbb.acp.board.permissions.canReplyThread'] = '{lang}wbb.acp.board.permissions.canReplyThread{/lang}';
	language['wbb.acp.board.permissions.canReplyOwnThread'] = '{lang}wbb.acp.board.permissions.canReplyOwnThread{/lang}';
	language['wbb.acp.board.permissions.canStartThreadWithoutModeration'] = '{lang}wbb.acp.board.permissions.canStartThreadWithoutModeration{/lang}';
	language['wbb.acp.board.permissions.canReplyThreadWithoutModeration'] = '{lang}wbb.acp.board.permissions.canReplyThreadWithoutModeration{/lang}';
	language['wbb.acp.board.permissions.canStartPoll'] = '{lang}wbb.acp.board.permissions.canStartPoll{/lang}';
	language['wbb.acp.board.permissions.canVotePoll'] = '{lang}wbb.acp.board.permissions.canVotePoll{/lang}';
	language['wbb.acp.board.permissions.canRateThread'] = '{lang}wbb.acp.board.permissions.canRateThread{/lang}';
	language['wbb.acp.board.permissions.canUsePrefix'] = '{lang}wbb.acp.board.permissions.canUsePrefix{/lang}';
	language['wbb.acp.board.permissions.canUploadAttachment'] = '{lang}wbb.acp.board.permissions.canUploadAttachment{/lang}';
	language['wbb.acp.board.permissions.canDownloadAttachment'] = '{lang}wbb.acp.board.permissions.canDownloadAttachment{/lang}';
	language['wbb.acp.board.permissions.canDeleteOwnPost'] = '{lang}wbb.acp.board.permissions.canDeleteOwnPost{/lang}';
	language['wbb.acp.board.permissions.canEditOwnPost'] = '{lang}wbb.acp.board.permissions.canEditOwnPost{/lang}';
	language['wbb.acp.board.permissions.canDeleteThread'] = '{lang}wbb.acp.board.permissions.canDeleteThread{/lang}';
	language['wbb.acp.board.permissions.canDeleteThreadCompletely'] = '{lang}wbb.acp.board.permissions.canDeleteThreadCompletely{/lang}';
	language['wbb.acp.board.permissions.canCloseThread'] = '{lang}wbb.acp.board.permissions.canCloseThread{/lang}';
	language['wbb.acp.board.permissions.canEnableThread'] = '{lang}wbb.acp.board.permissions.canEnableThread{/lang}';
	language['wbb.acp.board.permissions.canMoveThread'] = '{lang}wbb.acp.board.permissions.canMoveThread{/lang}';
	language['wbb.acp.board.permissions.canCopyThread'] = '{lang}wbb.acp.board.permissions.canCopyThread{/lang}';
	language['wbb.acp.board.permissions.canMergeThread'] = '{lang}wbb.acp.board.permissions.canMergeThread{/lang}';
	language['wbb.acp.board.permissions.canEditPost'] = '{lang}wbb.acp.board.permissions.canEditPost{/lang}';
	language['wbb.acp.board.permissions.canDeletePost'] = '{lang}wbb.acp.board.permissions.canDeletePost{/lang}';
	language['wbb.acp.board.permissions.canDeletePostCompletely'] = '{lang}wbb.acp.board.permissions.canDeletePostCompletely{/lang}';
	language['wbb.acp.board.permissions.canClosePost'] = '{lang}wbb.acp.board.permissions.canClosePost{/lang}';
	language['wbb.acp.board.permissions.canEnablePost'] = '{lang}wbb.acp.board.permissions.canEnablePost{/lang}';
	language['wbb.acp.board.permissions.canMovePost'] = '{lang}wbb.acp.board.permissions.canMovePost{/lang}';
	language['wbb.acp.board.permissions.canCopyPost'] = '{lang}wbb.acp.board.permissions.canCopyPost{/lang}';
	language['wbb.acp.board.permissions.canReplyClosedThread'] = '{lang}wbb.acp.board.permissions.canReplyClosedThread{/lang}';
	language['wbb.acp.board.permissions.canPinThread'] = '{lang}wbb.acp.board.permissions.canPinThread{/lang}';
	language['wbb.acp.board.permissions.canStartAnnouncement'] = '{lang}wbb.acp.board.permissions.canStartAnnouncement{/lang}';
	{/literal}
	
	function setBoardType(newType) {
		switch (newType) {
			case 0:
				showOptions('filter', 'settings');
				break;
			case 1:
				hideOptions('filter', 'settings');
				break;
		}
	}
	onloadEvents.push(function() { setBoardType({@$boardType}); });
	
	var permissions = new Array();
	{assign var=i value=0}
	{foreach from=$permissions item=permission}
		permissions[{@$i}] = new Object();
		permissions[{@$i}]['name'] = '{@$permission.name|encodeJS}';
		permissions[{@$i}]['type'] = '{@$permission.type}';
		permissions[{@$i}]['id'] = '{@$permission.id}';
		permissions[{@$i}]['settings'] = new Object();
		permissions[{@$i}]['settings']['fullControl'] = -1;
		
		{foreach from=$permission.settings key=setting item=value}
			{if $setting != 'name' && $setting != 'type' && $setting != 'id'}
				permissions[{@$i}]['settings']['{@$setting}'] = {@$value};
			{/if}
		{/foreach}
		{assign var=i value=$i+1}
	{/foreach}
	
	var permissionSettings = new Array({implode from=$permissionSettings item=permissionSetting}'{@$permissionSetting}'{/implode});	
	
	onloadEvents.push(function() {
		// user/group permissions
		var list2 = new PermissionList('permission', permissions, permissionSettings);
		// add onsubmit event
		document.forms[0].onsubmit = function() { 
			if (suggestion.selectedIndex != -1) return false;
			if (list2.inputHasFocus) return false;
			list2.submit(this);
		};
	});
	
	//]]>
</script>
<div class="contentHeader">
	<div class="largeButtons">
		<ul><li><a href="index.php?page=BoardList&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/boardM.png" alt="" title="{lang}wbb.acp.menu.link.content.board.view{/lang}" /> <span>{lang}wbb.acp.menu.link.content.board.view{/lang}</span></a></li></ul>
	</div>
</div>
<form method="post" action="index.php?form=Board{@$action|ucfirst}">
	<div class="border content">
		<div class="container-1">
			{if $this->user->getPermission($dataPermission)}
				<fieldset>
					<legend>{lang}wbb.acp.board.boardType{/lang}</legend>
					<div class="formElement{if $errorField == 'boardType'} formError{/if}">
						<ul class="formOptions">
							<li><label><input onclick="if (IS_SAFARI) setBoardType(0)" onfocus="setBoardType(0)" type="radio" name="boardType" value="0" {if $boardType == 0}checked="checked" {/if}/> {lang}wbb.acp.board.boardType.0{/lang}</label></li>
							<li><label><input onclick="if (IS_SAFARI) setBoardType(1)" onfocus="setBoardType(1)" type="radio" name="boardType" value="1" {if $boardType == 1}checked="checked" {/if}/> {lang}wbb.acp.board.boardType.1{/lang}</label></li>
						</ul>
						{if $errorField == 'boardType'}
							<p class="innerError">
								{if $errorType == 'invalid'}{lang}wbb.acp.board.error.boardType.invalid{/lang}{/if}
							</p>
						{/if}
					</div>
				</fieldset>
			{/if}
			
			<div class="tabMenu">
				<ul>
					{if $this->user->getPermission($dataPermission)}<li id="data"><a onclick="tabMenu.showSubTabMenu('data');"><span>{lang}wbb.acp.board.data{/lang}</span></a></li>{/if}
					{if $this->user->getPermission('admin.board.canEditPermissions')}<li id="permissions"><a onclick="tabMenu.showSubTabMenu('permissions');"><span>{lang}wbb.acp.board.permissions{/lang}</span></a></li>{/if}
					{if $additionalTabs|isset}{@$additionalTabs}{/if}
				</ul>
			</div>
			<div class="subTabMenu">
				<div class="containerHead"><div> </div></div>
			</div>
			
			{if $this->user->getPermission($dataPermission)}
				<div class="border tabMenuContent hidden" id="data-content">
					<div class="container-1">
						<h3 class="subHeadline">{lang}wbb.acp.board.data{/lang}</h3>
						
						<fieldset>
							<legend>{lang}wbb.acp.board.data.general{/lang}</legend>
							<div class="formElement{if $errorField == 'title'} formError{/if}">
								<div class="formFieldLabel">
									<label for="title">{lang}wbb.acp.board.title{/lang}</label>
								</div>
								<div class="formField">
									<input type="text" class="inputText" id="title" name="title" value="{$title}" />
									{if $errorField == 'title'}
										<p class="innerError">
											{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
										</p>
									{/if}
								</div>
							</div>
					
							<div id="descriptionDiv" class="formElement">
								<div class="formFieldLabel">
									<label for="description">{lang}wbb.acp.board.description{/lang}</label>
								</div>
								<div class="formField">
									<textarea id="description" name="description" cols="40" rows="10">{$description}</textarea>
									<label><input type="checkbox" name="allowDescriptionHtml" value="1" {if $allowDescriptionHtml}checked="checked" {/if}/> {lang}wbb.acp.board.allowDescriptionHtml{/lang}</label>
								</div>
							</div>
						</fieldset>
						
						<fieldset>
							<legend>{lang}wbb.acp.board.data.position{/lang}</legend>
							
							{if $boardOptions|count > 0}
								<div class="formElement{if $errorField == 'parentID'} formError{/if}" id="parentIDDiv">
									<div class="formFieldLabel">
										<label for="parentID">{lang}wbb.acp.board.parentID{/lang}</label>
									</div>
									<div class="formField">
										<select name="parentID" id="parentID">
											<option value="0"></option>
											{htmlOptions options=$boardOptions disableEncoding=true selected=$parentID}
										</select>
										{if $errorField == 'parentID'}
											<p class="innerError">
												{if $errorType == 'invalid'}{lang}wbb.acp.board.error.parentID.invalid{/lang}{/if}
											</p>
										{/if}
									</div>
									<div class="formFieldDesc hidden" id="parentIDHelpMessage">
										{lang}wbb.acp.board.parentID.description{/lang}
									</div>
								</div>
								<script type="text/javascript">//<![CDATA[
									inlineHelp.register('parentID');
								//]]></script>
							{/if}
					
							<div class="formElement{if $errorField == 'position'} formError{/if}" id="positionDiv">
								<div class="formFieldLabel">
									<label for="position">{lang}wbb.acp.board.position{/lang}</label>
								</div>
								<div class="formField">
									<input type="text" class="inputText" id="position" name="position" value="{@$position}" />
									{if $errorField == 'position'}
										<p class="innerError">
											{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
										</p>
									{/if}
								</div>
								<div class="formFieldDesc hidden" id="positionHelpMessage">
									{lang}wbb.acp.board.position.description{/lang}
								</div>
							</div>
							<script type="text/javascript">//<![CDATA[
								inlineHelp.register('position');
							//]]></script>
							
							<div class="formElement" id="invisibleDiv">
								<div class="formField">
									<label id="invisible"><input type="checkbox" name="invisible" value="1" {if $invisible}checked="checked" {/if}/> {lang}wbb.acp.board.invisible{/lang}</label>
								</div>
								<div class="formFieldDesc hidden" id="invisibleHelpMessage">
									{lang}wbb.acp.board.invisible.description{/lang}
								</div>
							</div>
							<script type="text/javascript">//<![CDATA[
								inlineHelp.register('invisible');
							//]]></script>
						</fieldset>
						
						<fieldset id="settings">
							<legend>{lang}wbb.acp.board.data.settings{/lang}</legend>
							<div>
								<div class="formElement">
									<div class="formField">
										<label id="closed"><input type="checkbox" name="closed" value="1" {if $closed}checked="checked" {/if}/> {lang}wbb.acp.board.closed{/lang}</label>
									</div>
								</div>
								
								<div class="formElement">
									<div class="formField">
										<label id="countUserPosts"><input type="checkbox" name="countUserPosts" value="1" {if $countUserPosts}checked="checked" {/if}/> {lang}wbb.acp.board.countUserPosts{/lang}</label>
									</div>
								</div>
							</div>
						</fieldset>
						
						<fieldset id="filter">
							<legend>{lang}wbb.acp.board.data.filter{/lang}</legend>
							<div class="formElement{if $errorField == 'sortField'} formError{/if}">
								<div class="formFieldLabel">
									<label for="sortField">{lang}wbb.acp.board.sortField{/lang}</label>
								</div>
								<div class="formField">
									<select name="sortField" id="sortField">
										<option value=""></option>
										<option value="topic"{if $sortField == 'topic'} selected="selected"{/if}>{lang}wbb.board.sortBy.topic{/lang}</option>
										<option value="username"{if $sortField == 'starter'} selected="selected"{/if}>{lang}wbb.board.sortBy.starter{/lang}</option>
										<option value="time"{if $sortField == 'startTime'} selected="selected"{/if}>{lang}wbb.board.sortBy.startTime{/lang}</option>
										<option value="replies"{if $sortField == 'replies'} selected="selected"{/if}>{lang}wbb.board.sortBy.replies{/lang}</option>
										<option value="views"{if $sortField == 'views'} selected="selected"{/if}>{lang}wbb.board.sortBy.views{/lang}</option>
										<option value="lastPostTime"{if $sortField == 'lastPostTime'} selected="selected"{/if}>{lang}wbb.board.sortBy.lastPostTime{/lang}</option>
									</select>
									{if $errorField == 'sortField'}
										<p class="innerError">
											{if $errorType == 'invalid'}{lang}wbb.acp.board.error.sortField.invalid{/lang}{/if}
										</p>
									{/if}
								</div>
							</div>
							
							<div class="formElement{if $errorField == 'sortOrder'} formError{/if}">
								<div class="formFieldLabel">
									<label for="sortOrder">{lang}wbb.acp.board.sortOrder{/lang}</label>
								</div>
								<div class="formField">
									<select name="sortOrder" id="sortOrder">
										<option value=""></option>
										<option value="ASC"{if $sortOrder == 'ASC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.ascending{/lang}</option>
										<option value="DESC"{if $sortOrder == 'DESC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.descending{/lang}</option>
									</select>
									{if $errorField == 'sortField'}
										<p class="innerError">
											{if $errorType == 'invalid'}{lang}wbb.acp.board.error.sortField.invalid{/lang}{/if}
										</p>
									{/if}
								</div>
							</div>
						</fieldset>
						
						{if $additionalFields|isset}{@$additionalFields}{/if}
					</div>
				</div>
			{/if}
			
			{if $this->user->getPermission('admin.board.canEditPermissions')}
				<div class="border tabMenuContent hidden" id="permissions-content">
					<div class="container-1">
						<h3 class="subHeadline">{lang}wbb.acp.board.permissions{/lang}</h3>
				
						<div class="formElement">
							<div class="formFieldLabel" id="permissionTitle">
								{lang}wbb.acp.board.permissions.title{/lang}
							</div>
							<div class="formField"><div id="permission" class="accessRights"></div></div>
						</div>
						<div class="formElement">
							<div class="formField">	
								<input id="permissionAddInput" type="text" name="" value="" class="inputText accessRightsInput" />
								<script type="text/javascript">
									//<![CDATA[
									suggestion.setSource('index.php?page=BoardPermissionsObjectsSuggest{@SID_ARG_2ND_NOT_ENCODED}');
									suggestion.enableIcon(true);
									suggestion.init('permissionAddInput');
									//]]>
								</script>
								<input id="permissionAddButton" type="button" value="{lang}wbb.acp.board.permissions.add{/lang}" />
							</div>
						</div>
						
						<div class="formElement" style="display: none;">
							<div class="formFieldLabel">
								<div id="permissionSettingsTitle" class="accessRightsTitle"></div>
							</div>
							<div class="formField">
								<div id="permissionHeader" class="accessRightsHeader">
									<span class="deny">{lang}wbb.acp.board.permissions.deny{/lang}</span>
									<span class="allow">{lang}wbb.acp.board.permissions.allow{/lang}</span>
								</div>
								<div id="permissionSettings" class="accessRights"></div>
							</div>
						</div>
					</div>
				</div>
			{/if}
			
			{if $additionalTabContents|isset}{@$additionalTabContents}{/if}
		</div>
	</div>
	
	<div class="formSubmit">
		<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
		<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
		<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
 		{@SID_INPUT_TAG}
 		{if $boardID|isset}<input type="hidden" name="boardID" value="{@$boardID}" />{/if}
 		<input type="hidden" id="activeTabMenuItem" name="activeTabMenuItem" value="{$activeTabMenuItem}" />
 	</div>
</form>

{include file='footer'}