{if $boards|count > 0}
	{cycle name='boardlistCycle' values='1,2' advance=false print=false}
	<ul id="boardlist">
		{foreach from=$boards item=child}
			{* define *}
			{assign var="depth" value=$child.depth}
			{assign var="open" value=$child.open}
			{assign var="hasChildren" value=$child.hasChildren}
			{assign var="openParents" value=$child.openParents}
			{assign var="board" value=$child.board}
			{assign var="boardID" value=$board->boardID}
			{counter assign=boardNo print=false}
			{if $board->isBoard()}
				{* board *}
		
				<li{if $depth == 1} class="border"{/if}>
					<div class="boardlistInner container-{cycle name='boardlistCycle'} board{@$boardID}">
						<div class="containerIcon">
							<img id="boardIcon{@$boardNo}" src="{@RELATIVE_WBB_DIR}icon/board{if $newPosts.$boardID}New{/if}M.png" alt="" />
						</div>
						
						<div class="containerContent">
							{if $depth > 3}<h6 class="boardTitle">{else}<h{@$depth+2} class="boardTitle">{/if}
								<a id="boardLink{@$boardNo}" {if $newPosts.$boardID}class="new" {/if}href="index.php?page=Board&amp;boardID={@$boardID}{@SID_ARG_2ND}">{lang}{$board->title}{/lang}{if $unreadThreadsCount.$boardID|isset}<span> ({#$unreadThreadsCount.$boardID})</span>{/if}</a>
							{if $depth > 3}</h6>{else}</h{@$depth+2}>{/if}
							
							{if $lastPosts.$boardID|isset}
							<div class="boardlistLastPost">								
								<div class="containerIconSmall"><a href="index.php?page=Thread&amp;threadID={@$lastPosts.$boardID->threadID}&amp;action=firstNew{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/goToFirstNewPostS.png" alt="" title="{lang}wbb.index.gotoFirstNewPost{/lang}" /></a></div>
								<div class="containerContentSmall">
									<p>
										{lang}{$lastPosts.$boardID->prefix}{/lang}
										<a href="index.php?page=Thread&amp;threadID={@$lastPosts.$boardID->threadID}&amp;action=firstNew{@SID_ARG_2ND}">{$lastPosts.$boardID->topic}</a>
									</p>
									<p>{lang}wbb.board.threads.postBy{/lang}
										{if $lastPosts.$boardID->lastPosterID != 0}
											<a href="index.php?page=User&amp;userID={@$lastPosts.$boardID->lastPosterID}{@SID_ARG_2ND}">{$lastPosts.$boardID->lastPoster}</a>
										{else}
											{$lastPosts.$boardID->lastPoster}
										{/if}
										<span class="light">({@$lastPosts.$boardID->lastPostTime|shorttime})</span>
									</p>
								</div>
							</div>
							{/if}
							
							{if $board->description}
								<p class="boardlistDescription">
									{lang}{if $board->allowDescriptionHtml}{@$board->description}{else}{$board->description}{/if}{/lang}
								</p>
							{/if}
							
							{if $child.additionalBoxes|isset}{@$child.additionalBoxes}{/if}
							
							{if !$board->description && !$child.additionalBoxes|isset}
							<!--[if IE]>&nbsp;<![endif]-->
							{/if}
						</div>
					</div>
			{/if}
			
			{if $board->isCategory()}
				{* category *}
				{cycle name='boardlistCycle' advance=false print=false reset=true}
				<li{if $depth == 1} class="border"{/if}>
					<div class="containerHead boardlistInner board{@$boardID}">
						{if $depth > 3}<h6 class="boardTitle">{else}<h{@$depth+2} class="boardTitle">{/if}
							<a {if $newPosts.$boardID}class="new" {/if}href="index.php?page=Board&amp;boardID={@$boardID}{@SID_ARG_2ND}">{lang}{$board->title}{/lang}{if $unreadThreadsCount.$boardID|isset} ({#$unreadThreadsCount.$boardID}){/if}</a>
						{if $depth > 3}</h6>{else}</h{@$depth+2}>{/if}
						{if $board->description}
							<p class="boardlistDescription">
								{lang}{if $board->allowDescriptionHtml}{@$board->description}{else}{$board->description}{/if}{/lang}
							</p>
						{/if}
						
						{if $child.additionalBoxes|isset}{@$child.additionalBoxes}{/if}
					</div>
			{/if}
			
			{if $hasChildren}<ul id="category{@$boardID}">{else}</li>{/if}
			{if $openParents > 0}{@"</ul></li>"|str_repeat:$openParents}{/if}
		{/foreach}
	</ul>
{/if}