{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WBB_DIR}icon/boardL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wbb.acp.board.list{/lang}</h2>
	</div>
</div>

{if $deletedBoardID}
	<p class="success">{lang}wbb.acp.board.delete.success{/lang}</p>	
{/if}

{if $this->user->getPermission('admin.board.canAddBoard')}
	<div class="contentHeader">
		<div class="largeButtons">
			<ul><li><a href="index.php?form=BoardAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/boardAddM.png" alt="" title="{lang}wbb.acp.board.add{/lang}" /> <span>{lang}wbb.acp.board.add{/lang}</span></a></li></ul>
		</div>
	</div>
{/if}

{if $boards|count > 0}
	<form method="post" action="index.php?action=BoardSort">
		<div class="border content">
			<div class="container-1">
				<ol class="boardList">
					{foreach from=$boards item=child}
						{* define *}
						{assign var="board" value=$child.board}
						
						<li>
							<h3 class="subHeadline {if $board->isCategory()}boardListCategory{/if}">
								<img src="{@RELATIVE_WBB_DIR}icon/{if $board->isBoard()}board{elseif $board->isCategory()}category{else}boardRedirect{/if}S.png" alt="" title="{lang}wbb.acp.board.boardType.{@$board->boardType}{/lang}" />	
							
								{if $this->user->getPermission('admin.board.canEditBoard')}
									<select name="positions[{@$board->boardID}][{@$child.parentID}]">
										{section name='positions' loop=$child.maxPosition}
											<option value="{@$positions+1}"{if $positions+1 == $child.position} selected="selected"{/if}>{@$positions+1}</option>
										{/section}
									</select>
								{/if}
								
								{if $this->user->getPermission('admin.board.canEditBoard') || $this->user->getPermission('admin.board.canEditPermissions') || $this->user->getPermission('admin.board.canEditModerators')}
									<a href="index.php?form=BoardEdit&amp;boardID={@$board->boardID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/editS.png" alt="" title="{lang}wbb.acp.board.edit{/lang}" /></a>
								{else}
									<img src="{@RELATIVE_WCF_DIR}icon/editDisabledS.png" alt="" title="{lang}wbb.acp.board.edit{/lang}" />
								{/if}
								{if $this->user->getPermission('admin.board.canDeleteBoard')}
									<a onclick="return confirm('{lang}wbb.acp.board.delete.sure{/lang}')" href="index.php?action=BoardDelete&amp;boardID={@$board->boardID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/deleteS.png" alt="" title="{lang}wbb.acp.board.delete{/lang}" /></a>
								{else}
									<img src="{@RELATIVE_WCF_DIR}icon/deleteDisabledS.png" alt="" title="{lang}wbb.acp.board.delete{/lang}" />
								{/if}
								
								{if $child.additionalButtons|isset}{@$child.additionalButtons}{/if}
								
								ID-{@$board->boardID} <a href="index.php?form=BoardEdit&amp;boardID={@$board->boardID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}{$board->title}{/lang}</a>
							</h3>
						
						{if $child.hasChildren}<ol>{else}</li>{/if}
						{if $child.openParents > 0}{@"</ol></li>"|str_repeat:$child.openParents}{/if}
					{/foreach}
				</ol>
			</div>
		</div>
	
		<div class="formSubmit">
			<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
			<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
			<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
	 		{@SID_INPUT_TAG}
	 	</div>
	</form>
{/if}


{include file='footer'}
