<div class="border">
	<div class="containerHead">
		<h3>{@$title}</h3>
	</div>
</div>
<div class="border borderMarginRemove">
	<table class="tableList">
		<thead>
			<tr class="tableHead">
				<th colspan="2" class="columnTopic{if $sortField == 'topic'} active{/if}">
					<div><a href="index.php?page=Board&amp;boardID={@$board->boardID}&amp;pageNo={@$pageNo}&amp;sortField=topic&amp;sortOrder={if $sortField == 'topic' && $sortOrder == 'DESC'}ASC{else}DESC{/if}{@SID_ARG_2ND}">
						{lang}wbb.board.threads.topic{/lang}{if $sortField == 'topic'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}
					</a></div>
				</th>
				<th class="columnReplies{if $sortField == 'replies'} active{/if}">
					<div><a href="index.php?page=Board&amp;boardID={@$board->boardID}&amp;pageNo={@$pageNo}&amp;sortField=replies&amp;sortOrder={if $sortField == 'replies' && $sortOrder == 'DESC'}ASC{else}DESC{/if}{@SID_ARG_2ND}">
						{lang}wbb.board.threads.replies{/lang}{if $sortField == 'replies'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}
					</a></div>
				</th>
				<th class="columnViews{if $sortField == 'views'} active{/if}">
					<div><a href="index.php?page=Board&amp;boardID={@$board->boardID}&amp;pageNo={@$pageNo}&amp;sortField=views&amp;sortOrder={if $sortField == 'views' && $sortOrder == 'DESC'}ASC{else}DESC{/if}{@SID_ARG_2ND}">
						{lang}wbb.board.threads.views{/lang}{if $sortField == 'views'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}
					</a></div>
				</th>
				<th class="columnLastPost{if $sortField == 'lastPostTime'} active{/if}">
					<div><a href="index.php?page=Board&amp;boardID={@$board->boardID}&amp;pageNo={@$pageNo}&amp;sortField=lastPostTime&amp;sortOrder={if $sortField == 'lastPostTime' && $sortOrder == 'DESC'}ASC{else}DESC{/if}{@SID_ARG_2ND}">
						{lang}wbb.board.threads.lastPost{/lang}{if $sortField == 'lastPostTime'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}
					</a></div>
				</th>
			</tr>
		</thead>
		<tbody>
			{cycle values='container-1,container-2' name='className' print=false advance=false}
			{foreach from=$threads item=thread}
				{assign var=threadID value=$thread->threadID}
				<tr class="{cycle name='className'}" id="threadRow{@$thread->threadID}">
					
					<td class="columnIcon">
						<img src="{@RELATIVE_WBB_DIR}icon/{@$thread->getIconName()}M.png" alt="" />
					</td>
					<td class="columnTopic">
						<div class="smallPages">
							{if $additionalSmallPages.$threadID|isset}{@$additionalSmallPages.$threadID}{/if}
						</div>
						
						<div id="thread{@$thread->threadID}" class="topic{if $thread->isNew()} new{/if}{if $thread->ownPosts || $thread->subscribed} interesting{/if}">
							{if $thread->isNew()}
								<a id="gotoFirstNewPost{@$thread->threadID}" href="index.php?page=Thread&amp;threadID={@$thread->threadID}&amp;action=firstNew{@SID_ARG_2ND}"><img class="goToNewPost" src="{@RELATIVE_WBB_DIR}icon/goToFirstNewPostS.png" alt="" title="{lang}wbb.index.gotoFirstNewPost{/lang}" /></a>
							{/if}
							
							<p>
								<span class="prefix"><strong>{lang}{$thread->prefix}{/lang}</strong></span>
								<a href="index.php?page=Thread&amp;threadID={@$thread->threadID}{@SID_ARG_2ND}">{$thread->topic}</a>
							</p>
						</div>

						<p class="firstPost light">
							{lang}wbb.board.threads.postBy{/lang}
							{if $thread->userID}
								<a href="index.php?page=User&amp;userID={@$thread->userID}{@SID_ARG_2ND}">{$thread->username}</a>
							{else}
								{$thread->username}
							{/if}
							({@$thread->time|shorttime})
						</p>
					</td>
					
					<td class="columnReplies">{#$thread->replies}</td>
					<td class="columnViews">{#$thread->views}</td>
					<td class="columnLastPost">
						{if $thread->replies != 0}
							<div class="containerIconSmall">
								<a href="index.php?page=Thread&amp;threadID={@$thread->threadID}&amp;action=lastPost{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/goToLastPostS.png" alt="" title="{lang}wbb.index.gotoLastPost{/lang}" /></a>
							</div>
							<div class="containerContentSmall">
								<p>{lang}wbb.board.threads.postBy{/lang} {if $thread->lastPosterID}<a href="index.php?page=User&amp;userID={@$thread->lastPosterID}{@SID_ARG_2ND}">{$thread->lastPoster}</a>{else}{$thread->lastPoster}{/if}</p>
								<p class="smallFont light">({@$thread->lastPostTime|shorttime})</p>
							</div>
						{else}
							<p class="smallFont light">{lang}wbb.board.threads.noReply{/lang}</p>
						{/if}
					</td>
				</tr>
			{/foreach}
	
		</tbody>
	</table>
</div>
