DROP TABLE IF EXISTS wcf1_style;
CREATE TABLE wcf1_style (
	styleID int(10) UNSIGNED NOT NULL auto_increment,
	packageID int(10) UNSIGNED NOT NULL DEFAULT 0,
	styleName varchar(255) NOT NULL DEFAULT '',
	templatePackID int(10) UNSIGNED NOT NULL DEFAULT 0,
	isDefault tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	disabled tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
	styleDescription text NULL,
	styleVersion varchar(255) NOT NULL DEFAULT '',
	styleDate char(10) NOT NULL DEFAULT '0000-00-00',
	image varchar(255) NOT NULL DEFAULT '',
	copyright varchar(255) NOT NULL DEFAULT '',
	license varchar(255) NOT NULL DEFAULT '',
	authorName varchar(255) NOT NULL DEFAULT '',
	authorURL varchar(255) NOT NULL DEFAULT '',
	PRIMARY KEY (styleID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_style_variable;
CREATE TABLE wcf1_style_variable (
	styleID int(10) unsigned NOT NULL auto_increment,
	variableName varchar(50) NOT NULL DEFAULT '',
	variableValue mediumtext NULL,
	UNIQUE KEY (styleID, variableName)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_style_variable_to_attribute;
CREATE TABLE wcf1_style_variable_to_attribute (
	packageID int(10) UNSIGNED NOT NULL DEFAULT 0,
	cssSelector varchar(200) NOT NULL DEFAULT '',
	attributeName varchar(50) NOT NULL DEFAULT '',
	variableName varchar(50) NOT NULL DEFAULT '',
	UNIQUE KEY (packageID, cssSelector, attributeName, variableName)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE wcf1_user ADD styleID int(10) UNSIGNED NOT NULL default 0;