{include file="documentHeader"}
<head>
	<title>{if $thread->prefix}{lang}{$thread->prefix}{/lang} {/if}{$thread->topic} - {lang}{$board->title}{/lang} - {PAGE_TITLE}</title>
	
	{include file='headInclude' sandbox=false}
	
	<!--[if IE]>
		<script type="text/javascript">
			//<![CDATA[
			{literal} 
			onloadEvents.push(function() {
				if (document.referrer) {
					var postForm = document.referrer.search(/PostEdit|PostAdd/);
					if (postForm != -1) {
						var postID = (window.location + '').split('postID=');
						if (!isNaN(postID[1])) window.location.href = '#post' + postID[1];
					}
				}
				});
			{/literal}
			//]]>
		</script>
	<![endif]-->
	<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/MultiPagesLinks.class.js"></script>
</head>
<body>
{* --- quick search controls --- *}
{assign var='searchFieldTitle' value='{lang}wbb.thread.search.query{/lang}'}
{capture assign=searchHiddenFields}
	<input type="hidden" name="threadID" value="{@$threadID}" />
	<input type="hidden" name="types[]" value="post" />
{/capture}
{* --- end --- *}
{include file='header' sandbox=false}

<div id="main">
	
	{include file="navigation" showBoard=true}
	
	<div class="mainHeadline">
		<img src="{@RELATIVE_WBB_DIR}icon/{@$thread->getIconName()}L.png" alt="" />
		<div class="headlineContainer">
			<h2>
				<a href="index.php?page=Thread&amp;threadID={@$thread->threadID}{@SID_ARG_2ND}">{$thread->topic}</a>
			</h2>
		</div>
	</div>
	
	{if $userMessages|isset}{@$userMessages}{/if}
	
	<div class="contentHeader">
		{assign var=multiplePagesLink value="index.php?page=Thread&threadID=$threadID&pageNo=%d"}
		{if $highlight}
			{assign var=encodedHighlight value=$highlight|urlencode}
			{assign var=multiplePagesLink value=$multiplePagesLink|concat:'&highlight=':$encodedHighlight}
		{/if}
		{pages print=true assign=pagesOutput link=$multiplePagesLink|concat:SID_ARG_2ND_NOT_ENCODED}
		<div class="largeButtons">
			{if $thread->canReplyThread() || $additionalLargeButtons|isset}
				<ul>
					{if $thread->canReplyThread()}<li><a id="replyButton1" href="index.php?form=PostAdd&amp;threadID={@$thread->threadID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/threadReplyM.png" alt="" /> <span>{lang}wbb.thread.button.reply{/lang}</span></a></li>{/if}
					{if $additionalLargeButtons|isset}{@$additionalLargeButtons}{/if}
				</ul>
			{/if}
		</div>
	</div>
	
	{* build messages css classes *}
	{if $this->getStyle()->getVariable('messages.color.cycle')}
		{cycle name=messageCycle values='2,1' print=false}
	{else}
		{cycle name=messageCycle values='1' print=false}
	{/if}
	
	{if $this->getStyle()->getVariable('messages.sidebar.color.cycle')}
		{if $this->getStyle()->getVariable('messages.color.cycle')}
			{cycle name=postCycle values='1,2' print=false}
		{else}
			{cycle name=postCycle values='3,2' print=false}
		{/if}
	{else}
		{cycle name=postCycle values='3' print=false}
	{/if}
	
	{capture assign='messageClass'}message{if $this->getStyle()->getVariable('messages.framed')}Framed{/if}{@$this->getStyle()->getVariable('messages.sidebar.alignment')|ucfirst}{if $this->getStyle()->getVariable('messages.sidebar.divider.use')} dividers{/if}{/capture}
	{capture assign='messageFooterClass'}messageFooter{@$this->getStyle()->getVariable('messages.footer.alignment')|ucfirst}{/capture}
	
	{foreach from=$posts item=post}
		{assign var="author" value=$post->getUser()}
		{assign var="authorID" value=$author->userID}
		{assign var="pollID" value=$post->pollID}
		{assign var="messageID" value=$post->postID}
		
		{assign var="hiddenDeletedPost" value=false}
		{assign var="hiddenIgnoredPost" value=false}
		{if $post->isDeleted && !$thread->isDeleted}
			{assign var="hiddenDeletedPost" value=true}
		{/if}
		{if $authorID && $this->user->userID && $this->user->ignores($authorID)}
			{assign var="hiddenIgnoredPost" value=true}
		{/if}
		
			<div id="postRow{@$post->postID}" class="message">
				<div class="messageInner {@$messageClass} container-{cycle name=postCycle}{if !$author->userID} guestPost{/if}">
					<a id="post{@$post->postID}"></a>
					<div class="messageSidebar">
						{if $author->userID}
							<div class="messageAuthor">
								<p class="userName">
									{if THREAD_ENABLE_ONLINE_STATUS}
										{if $author->isOnline()}
											<img src="{@RELATIVE_WCF_DIR}icon/onlineS.png" alt="" title="{lang username=$post->username}wcf.user.online{/lang}" />
										{else}
											<img src="{@RELATIVE_WCF_DIR}icon/offlineS.png" alt="" title="{lang username=$post->username}wcf.user.offline{/lang}" />		
										{/if}
									{/if}
								
									<a href="index.php?page=User&amp;userID={@$author->userID}{@SID_ARG_2ND}" title="{lang username=$post->username}wcf.user.viewProfile{/lang}">
										<span>{$post->username}</span>
									</a>
									
									{if $additionalSidebarUsernameInformation.$messageID|isset}{@$additionalSidebarUsernameInformation.$messageID}{/if}
								</p>
							
								{if THREAD_ENABLE_RANK}
									{if $author->getUserTitle()}
										<p class="userTitle smallFont">{@$author->getUserTitle()}</p>
									{/if}
									{if $author->getRank()}
										<p class="userRank">{@$author->getRank()->getImage()}</p>
									{/if}
								{/if}
								
								{if $additionalSidebarAuthorInformation.$messageID|isset}{@$additionalSidebarAuthorInformation.$messageID}{/if}
							</div>
							
							{if $this->getStyle()->getVariable('messages.sidebar.alignment') == 'top'}
								{if $showAvatar && $author->getAvatar()}
									{assign var=dummy value=$author->getAvatar()->setMaxSize(76, 76)}
								{else}
									<div class="userAvatar{if $this->getStyle()->getVariable('messages.sidebar.avatar.framed')}Framed{/if}">
										<a href="index.php?page=User&amp;userID={@$author->userID}{@SID_ARG_2ND}" title="{lang username=$author->username}wcf.user.viewProfile{/lang}"><img src="{@RELATIVE_WCF_DIR}images/avatars/avatar-default.png" alt=""
											style="width: 76px; height: 76px;{if $this->getStyle()->getVariable('messages.sidebar.avatar.framed')} margin-top: -38px; margin-left: -38px{/if}" /></a>
									</div>
								{/if}
							{/if}
							
							{if $showAvatar && $author->getAvatar()}
								<div class="userAvatar{if $this->getStyle()->getVariable('messages.sidebar.avatar.framed')}Framed{/if}">
									<a href="index.php?page=User&amp;userID={@$author->userID}{@SID_ARG_2ND}" title="{lang username=$author->username}wcf.user.viewProfile{/lang}"><img src="{$author->getAvatar()->getURL()}" alt=""
										style="width: {@$author->getAvatar()->width}px; height: {@$author->getAvatar()->height}px;{if $this->getStyle()->getVariable('messages.sidebar.avatar.framed')} margin-top: -{@$author->getAvatar()->height/2|intval}px; margin-left: -{@$author->getAvatar()->width/2|intval}px{/if}" /></a>
								</div>
							{/if}
							
							<div class="userCredits">
								{if THREAD_ENABLE_REGISTRATION_DATE}
									<p class="userRegistration">{lang}wcf.user.registrationDate{/lang}: {@$author->registrationDate|date}</p>
								{/if}
									
								{if THREAD_ENABLE_USER_POSTS}
									<p class="userPosts">
										<a href="index.php?form=Search&amp;userID={@$authorID}{@SID_ARG_2ND}">{lang}wcf.user.posts{/lang}: {#$author->posts}</a>
									</p>
								{/if}
								
								{if $additionalSidebarUserCredits.$messageID|isset}{@$additionalSidebarUserCredits.$messageID}{/if}
							</div>
							
						{else}
							<div class="messageAuthor">
								<p class="userName">{$post->username}</p>
								<p class="userTitle smallFont">{lang}wcf.user.guest{/lang}</p>
							</div>
						{/if}
						
						{if $additionalSidebarContents.$messageID|isset}{@$additionalSidebarContents.$messageID}{/if}
					</div>
					
					<div class="messageContent">
						<div class="messageContentInner color-{cycle name=messageCycle}">
							<div class="messageHeader">
								<p class="messageCount">
									<a href="index.php?page=Thread&amp;postID={@$post->postID}#post{@$post->postID}" title="{lang}wbb.thread.permalink{/lang}" class="messageNumber">{#$startIndex}</a>
								</p>
								<div class="containerIcon">
									<img id="postEdit{@$post->postID}" src="{@RELATIVE_WBB_DIR}icon/{@$post->getIconName()}M.png" alt="" />
								</div>
								<div class="containerContent">
									<p class="smallFont light">{@$post->time|time}</p>
								</div>
							</div>
							
							<h3 id="postTopic{@$post->postID}"><span>{$post->subject}</span></h3>
													
							<div class="messageBody" id="postText{@$post->postID}">
								{include file='pollShow'}
								{@$post->getFormattedMessage()}
							</div>
							
							{include file='attachmentsShow'}
							
							{if $post->getSignature()}
								<div class="signature">
									{@$post->getSignature()}
								</div>
							{/if}
							
							<div class="{@$messageFooterClass}">
								<div class="smallButtons">
									<ul>
										<li class="extraButton"><a href="#top"><img src="{@RELATIVE_WCF_DIR}icon/upS.png" alt="{lang}wcf.global.scrollUp{/lang}" title="{lang}wcf.global.scrollUp{/lang}" /></a></li>
										{if $post->canEditPost($board, $thread) || $additionalSmallButtons.$messageID|isset}
											{if $post->canEditPost($board, $thread)}
												<li><a href="index.php?form=PostEdit&amp;postID={@$post->postID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/editS.png" alt="" /> <span>{lang}wbb.thread.post.button.edit{/lang}</span></a></li>
											{/if}
											{if $additionalSmallButtons.$messageID|isset}{@$additionalSmallButtons.$messageID}{/if}
										{/if}
									</ul>
								</div>
							</div>
							<hr />
						</div>
					</div>
					
				</div>
			</div>
		
		
		{assign var="startIndex" value=$startIndex + 1}
	{/foreach}
	
	<div class="contentFooter">
		{@$pagesOutput}
	
		<div class="largeButtons">
			{if $thread->canReplyThread() || $additionalLargeButtons|isset}
				<ul>
					{if $thread->canReplyThread()}<li><a id="replyButton2" href="index.php?form=PostAdd&amp;threadID={@$thread->threadID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/threadReplyM.png" alt="" /> <span>{lang}wbb.thread.button.reply{/lang}</span></a></li>{/if}
					{if $additionalLargeButtons|isset}{@$additionalLargeButtons}{/if}
				</ul>
			{/if}
		</div>	
	</div>
	
	{cycle values='class="container-2",class="container-1"' name='container' print=false}
	
	{if $additionalBoxes|isset}
		<div class="border infoBox">
			{if $additionalBoxes|isset}{@$additionalBoxes}{/if}
		</div>
	{/if}
	
	<div class="pageOptions">
		{if $this->user->getPermission('mod.board.canDeleteThreadCompletely') || $this->user->getPermission('mod.board.canMoveThread') || $this->user->getPermission('mod.board.canCloseThread')}
			<form method="post" action="index.php" onsubmit="if (document.getElementById('threadModeration').options[document.getElementById('threadModeration').selectedIndex].value == 'ThreadDelete') return confirm('{lang}wbb.board.threads.delete.sure{/lang}'); else return true;">
				<div>
					<label for="threadModeration">{lang}wbblite.thread.moderation{/lang}</label>					
					
					<select name="action" id="threadModeration">
						{if $this->user->getPermission('mod.board.canDeleteThreadCompletely')}
							<option value="ThreadDelete">{lang}wbblite.thread.moderation.delete{/lang}</option>
						{/if}
						{if $this->user->getPermission('mod.board.canMoveThread')}
							<option value="ThreadMove">{lang}wbblite.thread.moderation.move{/lang}</option>
						{/if}
						{if $this->user->getPermission('mod.board.canCloseThread')}
							{if $thread->isClosed == 1}
								<option value="ThreadOpen">{lang}wbblite.thread.moderation.open{/lang}</option>
							{else}
								<option value="ThreadClose">{lang}wbblite.thread.moderation.close{/lang}</option>
							{/if}
						{/if}
					</select>
					
					<input type="hidden" name="threadID" value="{@$thread->threadID}" />
					{@SID_INPUT_TAG}
					<input type="image" class="inputImage" src="{@RELATIVE_WCF_DIR}icon/submitS.png" alt="{lang}wcf.global.button.submit{/lang}" />
				</div>
			</form>
		{/if}
	</div>
	
	{include file="boardQuickJump"}

</div>

{include file='footer' sandbox=false}
</body>
</html>
