{include file="documentHeader"}
<head>
	<title>{lang}wbblite.thread.moderation.move{/lang} - {if $thread->prefix}{lang}{$thread->prefix}{/lang} {/if}{$thread->topic} - {lang}{$board->title}{/lang} - {PAGE_TITLE}</title>
	
	{include file='headInclude' sandbox=false}
</head>
<body>
{include file='header' sandbox=false}

<div id="main">
	{include file="navigation" showThread=true}
	
	<div class="mainHeadline">
		<img src="{@RELATIVE_WBB_DIR}icon/threadL.png" alt="" />
		<div class="headlineContainer">
			<h2>{lang}wbblite.thread.moderation.move{/lang}</h2>
		</div>
	</div>
	
	{if $userMessages|isset}{@$userMessages}{/if}
	
	{if $errorField}
		<p class="error">{lang}wcf.global.form.error{/lang}</p>
	{/if}
	
	<form method="post" action="index.php?form=ThreadMove&amp;threadID={@$threadID}">
		<div class="border content">
			<div class="container-1">
				<fieldset>
					<legend>{lang}wbblite.thread.moderation.move.destination{/lang}</legend>
					
					<div class="formElement{if $errorField == 'boardID'} formError{/if}">
						<div class="formFieldLabel">
							<label for="boardID">{lang}wbblite.thread.moderation.move.destination.boardID{/lang}</label>
						</div>
						<div class="formField">
							<select name="boardID" id="boardID">
								{htmlOptions options=$boardOptions selected=$boardID disableEncoding=true}
							</select>
							{if $errorField == 'boardID'}
								<p class="innerError">
									{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
								</p>
							{/if}
						</div>
					</div>
					
					{if $additionalInformationFields|isset}{@$additionalInformationFields}{/if}
				</fieldset>
				
				{if $additionalFields|isset}{@$additionalFields}{/if}
			</div>
		</div>
	
		<div class="formSubmit">
			<input type="submit" name="send" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
			<input type="reset" name="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
			{@SID_INPUT_TAG}
		</div>
		
	</form>

</div>

{include file='footer' sandbox=false}
</body>
</html>