{include file="documentHeader"}
<head>
	<title>{lang}wbb.index.title{/lang} - {PAGE_TITLE}</title>
	
	{include file='headInclude' sandbox=false}
</head>
<body>
{include file='header' sandbox=false}

<div id="main">
	
	<div class="mainHeadline">
		<img src="{@RELATIVE_WBB_DIR}icon/indexL.png" alt="" />
		<div class="headlineContainer">
			<h2>{PAGE_TITLE}</h2>
			<p>{PAGE_DESCRIPTION}</p>
		</div>
	</div>
	
	{if $userMessages|isset}{@$userMessages}{/if}
	
	{include file="boardList"}
	
	{if INDEX_ENABLE_STATS || $additionalBoxes|isset}
		{cycle values='container-1,container-2' print=false advance=false}
		<div class="border infoBox">
			{if INDEX_ENABLE_STATS}
				<div class="{cycle}">
					<div class="containerIcon"><img src="{@RELATIVE_WBB_DIR}icon/statisticsM.png" alt="" /></div>
					<div class="containerContent">
						<h3>{lang}wbb.index.stats{/lang}</h3> 
						<p class="smallFont">{lang}wbb.index.stats.detail{/lang}</p>
					</div>
				</div>
			{/if}
			
			{if $additionalBoxes|isset}{@$additionalBoxes}{/if}
		</div>
	{/if}
	
	<div class="pageOptions">
		<a href="index.php?page=Index&amp;action=markAsRead{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/boardMarkAsReadS.png" alt="" /> <span>{lang}wbb.index.markAsRead{/lang}</span></a>
	</div>

</div>

{include file='footer' sandbox=false}

</body>
</html>